#!/bin/sh

# Brian Walters <brian@mylinuxisp.com> - 3/3/2
# No warranty expressed or implied.
# 


DGPATH="/etc/dansguardian/"
DIFFER="$DGPATH/applydiff.pl"

cd $DGPATH

rm -f blacklists.tar.gz

wget -nv ftp://ftp.univ-tlse1.fr/pub/reseau/cache/squidguard_contrib/blacklists.tar.gz

if [ $? -ne 0 ]; then 
	echo "Failed to down load new blacklist."
	exit
fi;

rm -rf blacklists

tar xzf blacklists.tar.gz --exclude url*

# If you don't want a particular category then delete it.
rm -rf blacklists/ads
rm -rf blacklists/mail



for DIR in `ls -d blacklists/*/`; do
	$DIFFER $DIR/domains
done 

/etc/init.d/dansguardian restart
